org.apache.ode.store

## Class Messages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.store.Messages

-     public class Messages
      extends MessageBundle

  Message bundle used by the BPEL provider implementation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Messages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `msgDeployFailCompileErrors(CompilationException ce)`
    `java.lang.String` | `msgDeployFailDuplicateDU(java.lang.String name)`
    `java.lang.String` | `msgDeployFailDuplicatePID(javax.xml.namespace.QName processId, java.lang.String name)`
    `java.lang.String` | `msgDeployFailed(javax.xml.namespace.QName name, java.io.File deploymentUnitDirectory)`
    `java.lang.String` | `msgDeployFailedProcessNotFound(javax.xml.namespace.QName pid, java.lang.String du)`
    `java.lang.String` | `msgDeployRollback(java.io.File deploymentUnitDirectory)`
    `java.lang.String` | `msgDeployStarting(java.io.File deploymentUnitDirectory)`
    `java.lang.String` | `msgOdeInitHibernateDialectDetectFailed()`
    `java.lang.String` | `msgOdeInitHibernateErrorReadingHibernateProperties(java.io.File hibernatePropFile)`
    `java.lang.String` | `msgOdeInitHibernatePropertiesNotFound(java.io.File expected)`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Messages

          public Messages()

  - ### Method Detail

    - #### msgDeployStarting

          public java.lang.String msgDeployStarting(java.io.File deploymentUnitDirectory)

    - #### msgDeployFailed

          public java.lang.String msgDeployFailed(javax.xml.namespace.QName name,
                                                  java.io.File deploymentUnitDirectory)

    - #### msgDeployRollback

          public java.lang.String msgDeployRollback(java.io.File deploymentUnitDirectory)

    - #### msgOdeInitHibernatePropertiesNotFound

          public java.lang.String msgOdeInitHibernatePropertiesNotFound(java.io.File expected)

    - #### msgOdeInitHibernateErrorReadingHibernateProperties

          public java.lang.String msgOdeInitHibernateErrorReadingHibernateProperties(java.io.File hibernatePropFile)

    - #### msgOdeInitHibernateDialectDetectFailed

          public java.lang.String msgOdeInitHibernateDialectDetectFailed()

    - #### msgDeployFailDuplicateDU

          public java.lang.String msgDeployFailDuplicateDU(java.lang.String name)

    - #### msgDeployFailDuplicatePID

          public java.lang.String msgDeployFailDuplicatePID(javax.xml.namespace.QName processId,
                                                            java.lang.String name)

    - #### msgDeployFailedProcessNotFound

          public java.lang.String msgDeployFailedProcessNotFound(javax.xml.namespace.QName pid,
                                                                 java.lang.String du)

    - #### msgDeployFailCompileErrors

          public java.lang.String msgDeployFailCompileErrors(CompilationException ce)